TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalReconstruction ( elt-res^pol F ) -> elt-alg^boo, elt-fld^pol

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Rational reconstruction of F. </shortdoc>

### Examples

x_P:=PolynomialAlgebra(Q); x_Qu:=Quotient(x_P,X^2+1); x_a:=x_Qu.1^2+1; RationalReconstruction(x_a); x_b:=x_Qu.1-1; RationalReconstruction(x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack